linux-azure: 5.0.0-1010.10 -proposed tracker

Bug #1833924 reported by Stefan Bader on 2019-06-24
24
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Marcelo Cerri
Prepare-package-meta
Medium
Marcelo Cerri
Prepare-package-signed
Medium
Marcelo Cerri
Promote-to-proposed
Medium
Andy Whitcroft
Promote-to-security
Medium
Andy Whitcroft
Promote-to-updates
Medium
Andy Whitcroft
Regression-testing
Medium
Canonical Kernel Team
Security-signoff
Medium
Canonical Security Team
Stakeholder-signoff
Medium
linux-azure stakeholder signoff
Verification-testing
Medium
Canonical Kernel Team
linux-azure (Ubuntu)
Undecided
Unassigned
Disco
Medium
Unassigned

Bug Description

This bug will contain status and test results related to a kernel source (or snap) as stated in the title.

For an explanation of the tasks and the associated workflow see:
  https://wiki.ubuntu.com/Kernel/kernel-sru-workflow

-- swm properties --
boot-testing-requested: true
kernel-stable-master-bug: 1833934
phase: Complete
phase-changed: Thursday, 27. June 2019 09:56 UTC
proposed-announcement-sent: true
proposed-testing-requested: true
variant: debs

Stefan Bader (smb) on 2019-06-24
tags: added: disco kernel-release-tracking-bug
Changed in linux-azure (Ubuntu):
status: New → Invalid
Changed in linux-azure (Ubuntu Disco):
importance: Undecided → Medium
tags: added: kernel-release-tracking-bug-live
description: updated
tags: added: kernel-sru-cycle-2019.05.13-7
Stefan Bader (smb) on 2019-06-24
description: updated
tags: added: kernel-sru-derivative-of-1833934
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
description: updated
description: updated
Marcelo Cerri (mhcerri) on 2019-06-25
summary: - linux-azure: <version to be filled> -proposed tracker
+ linux-azure: 5.0.0-1010.10 -proposed tracker
description: updated
description: updated
description: updated
description: updated
tags: added: block-proposed-disco
tags: added: block-proposed
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
tags: removed: block-proposed-disco
tags: removed: block-proposed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-azure - 5.0.0-1010.10

---------------
linux-azure (5.0.0-1010.10) disco; urgency=medium

  * linux-azure: 5.0.0-1010.10 -proposed tracker (LP: #1833924)

  * Enable eBPF JIT in the linux-azure kernels (LP: #1827916)
    - [Config] linux-azure: CONFIG_MLX{4,5}_INFINIBAND=m

  * linux-azure: Add the Catapult FPGA Driver (LP: #1824879)
    - SAUCE: linux-azure: Include Catapult FPGA PCI driver
    - [Config] linux-azure: CONFIG_CATAPULT_PCI=m

  * [Packaging] Improve config annotations check on custom kernels
    (LP: #1820075)
    - [Config] linux-azure: Include custom annotations files

  [ Ubuntu: 5.0.0-20.21 ]

  * linux: 5.0.0-20.21 -proposed tracker (LP: #1833934)
  * CVE-2019-11479
    - SAUCE: tcp: add tcp_min_snd_mss sysctl
    - SAUCE: tcp: enforce tcp_min_snd_mss in tcp_mtu_probing()
  * Remote denial of service (resource exhaustion) caused by TCP SACK scoreboard
    manipulation (LP: #1831638) // CVE-2019-11478
    - tcp: refine memory limit test in tcp_fragment()

  [ Ubuntu: 5.0.0-19.20 ]

  * CVE-2019-12817
    - SAUCE: powerpc/mm/64s/hash: Reallocate context ids on fork

 -- Marcelo Henrique Cerri <email address hidden> Tue, 25 Jun 2019 10:36:47 -0300

Changed in linux-azure (Ubuntu Disco):
status: New → Fix Released
description: updated
description: updated
Changed in kernel-sru-workflow:
status: In Progress → Fix Released
Andy Whitcroft (apw) on 2019-06-27
Changed in kernel-sru-workflow:
status: Fix Released → In Progress

All tasks have been completed and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
tags: removed: kernel-release-tracking-bug-live
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-azure - 5.0.0-1010.10

---------------
linux-azure (5.0.0-1010.10) disco; urgency=medium

  * linux-azure: 5.0.0-1010.10 -proposed tracker (LP: #1833924)

  * Enable eBPF JIT in the linux-azure kernels (LP: #1827916)
    - [Config] linux-azure: CONFIG_MLX{4,5}_INFINIBAND=m

  * linux-azure: Add the Catapult FPGA Driver (LP: #1824879)
    - SAUCE: linux-azure: Include Catapult FPGA PCI driver
    - [Config] linux-azure: CONFIG_CATAPULT_PCI=m

  * [Packaging] Improve config annotations check on custom kernels
    (LP: #1820075)
    - [Config] linux-azure: Include custom annotations files

  [ Ubuntu: 5.0.0-20.21 ]

  * linux: 5.0.0-20.21 -proposed tracker (LP: #1833934)
  * CVE-2019-11479
    - SAUCE: tcp: add tcp_min_snd_mss sysctl
    - SAUCE: tcp: enforce tcp_min_snd_mss in tcp_mtu_probing()
  * Remote denial of service (resource exhaustion) caused by TCP SACK scoreboard
    manipulation (LP: #1831638) // CVE-2019-11478
    - tcp: refine memory limit test in tcp_fragment()

  [ Ubuntu: 5.0.0-19.20 ]

  * CVE-2019-12817
    - SAUCE: powerpc/mm/64s/hash: Reallocate context ids on fork

 -- Marcelo Henrique Cerri <email address hidden> Tue, 25 Jun 2019 10:36:47 -0300

Changed in linux-azure (Ubuntu):
status: Invalid → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers